diff -rupN dist/nginx-1.4.3/src/event/ngx_event_openssl.c new/nginx-1.4.3/src/event/ngx_event_openssl.c
--- dist/nginx-1.4.3/src/event/ngx_event_openssl.c	2013-10-08 12:07:14.000000000 +0000
+++ new/nginx-1.4.3/src/event/ngx_event_openssl.c	2013-10-21 17:47:37.811909077 +0000
@@ -224,7 +224,7 @@ ngx_ssl_create(ngx_ssl_t *ssl, ngx_uint_
     SSL_CTX_set_mode(ssl->ctx, SSL_MODE_RELEASE_BUFFERS);
 #endif
 
-    SSL_CTX_set_read_ahead(ssl->ctx, 1);
+    SSL_CTX_set_read_ahead(ssl->ctx, 0);
 
     SSL_CTX_set_info_callback(ssl->ctx, ngx_ssl_info_callback);
 
@@ -952,7 +952,9 @@ ngx_ssl_recv(ngx_connection_t *c, u_char
 
         n = SSL_read(c->ssl->connection, buf, size);
 
-        ngx_log_debug1(NGX_LOG_DEBUG_EVENT, c->log, 0, "SSL_read: %d", n);
+        ngx_log_debug2(NGX_LOG_DEBUG_EVENT, c->log, 0,
+                       "SSL_read: %d, SSL_pending: %d",
+                       SSL_pending(c->ssl->connection), n);
 
         if (n > 0) {
             bytes += n;
